## The `upc_local_alloc` function deprecated

#### Synopsis

        #include <upc.h>
        shared void *upc_local_alloc(size_t nblocks,
                                     size_t nbytes);

#### Description

The `upc_local_alloc` function is deprecated and should not be used. UPC programs should use the `upc_alloc` function instead. Support may be removed in future versions of this specification.

The `upc_local_alloc` function allocates shared space of at least `nblocks * nbytes` bytes with affinity to the calling thread. If `nblocks * nbytes` is zero, the result is a null pointer-to-shared.

`upc_local_alloc` is similar to malloc() except that it returns a pointer-to-shared value. It is not a collective function.

Terms, definitions, and symbols

Back to index of all UPC functions